Що таке Yii?
============

Yii – це високопродуктивний компонентний PHP фреймворк, призначений для швидкої розробки сучасних веб додатків.
Слово Yii (вимовляється як `Йі` `[ji:]`) в китайській мові означає "простий та еволюційний".
Також Yii може розшифровуватись акронім **Yes It Is**!


Для яких завдань найбільше підходить Yii?
-----------------------------------------

Yii – це універсальний фреймворк і може бути задіяний у всіх типах веб додатків, що використовують PHP. 
Завдяки його компонентній структурі і відмінній підтримці кешування, фреймворк особливо підходить для розробки 
таких великих проектів як портали, форуми, CMS, магазини або RESTful-додатки.


Порівняння Yii з іншими фреймворками
------------------------------------

Якщо ви вже знайомі з іншими фреймворками, вам напевно буде цікаво порівняти їх із Yii:

- Як і багато інших PHP фреймворків, для організації коду Yii використовує модель MVC (Model-View-Controller) та
  сприяє у організації коду на цій моделі.
- Yii дотримується філософії простого й елегантного коду. Yii ніколи не буде намагатись переускладнювати дизайн
  тільки заради слідування будь-яким шаблонами проектування.
- Yii є full-stack фреймворком і включає в себе перевірені можливості, які добре себе зарекомендували:
  конструктори запитів та ActiveRecord для реляційних та NoSQL баз даних, підтримка REST API, 
  багаторівневе кешування та інші.
- Yii надзвичайно розширюваний. Ви можете налаштувати або замінити практично будь-яку частину основного коду.
  Використовуючи архітектуру розширень - досить легко використовувати або створювати публічні розширення.
- Висока продуктивність завжди є головною ціллю Yii.

Yii — не проект однієї людини. Він підтримується і розвивається [сильною командою][] і великою спільнотою розробників,
які їй допомагають. Команда розробників Yii фреймворка стежать за тенденціями веб розробки і розвитком інших проектів.
Найбільш значимі можливості і кращі практики регулярно впроваджуються у фреймворк у вигляді простих і елегантних інтерфейсів.

[сильна команда розробників]: http://www.yiiframework.com/about/

Версії Yii
----------

На даний момент існує дві основні гілки Yii: 1.1 та 2.0. Гілка 1.1 є попереднім поколінням і знаходиться у стані підтримки.
Версія 2.0 - це повністю переписаний Yii, що використовує останні технології і протоколи, такі як Composer, PSR, простори імен,
типажі (traits) і багато іншого. 2.0 - поточне покоління фреймворка. На цій версії будуть зосереджені основні зусилля
кілька наступних років. Даний посібник призначений в основному для версії 2.0.


Вимоги до ПЗ і знань
--------------------

Yii 2.0 потребує PHP 5.4.0 та вище. Щоб дізнатися вимоги для окремих можливостей ви можете запустити скрипт перевірки вимог,
який поставляється із кожним релізом фреймворка.

Для розробки на Yii необхідне загальне розуміння ООП, так як фреймворк повністю слідує цій парадигмі.
Також слід вивчити такі сучасні можливості PHP як [простори імен](http://www.php.net/manual/en/language.namespaces.php)
і [типажі](http://www.php.net/manual/en/language.oop5.traits.php).
